import { Collection } from "../../core/collection_model.js";
export declare const TemplateLangJS = "js";
export declare const TemplateLangGo = "go";
export declare function unsupportedTemplateLangError(lang: string): Error;
export declare const ErrEmptyTemplate: Error;
export declare function jsBlankTemplate(): string;
export declare function jsSnapshotTemplate(collections: Collection[]): string;
export declare function jsCreateTemplate(collection: Collection): string;
export declare function jsDeleteTemplate(collection: Collection): string;
export declare function jsDiffTemplate(newCollection: Collection | null, oldCollection: Collection | null): string;
